# SIPDialogNotification Struct Reference

`#include <handlers.h>`

Collaboration diagram for SIPDialogNotification:

[legend]

## Public Types

| Terminated
| Trying
| Proceeding
| Early
| Confirmed
| FirstState = Terminated
| LastState = Confirmed
| NoEvent = -1
| Cancelled
| Rejected
| Replaced
| LocalBye
| RemoteBye
| Error
| Timeout
| FirstEvent = Cancelled
| LastEvent = Timeout
| RenderingUnknown = -1
| NotRenderingMedia
| RenderingMedia
enum | States { Terminated, Trying, Proceeding, Early, Confirmed, FirstState = Terminated, LastState = Confirmed }
enum | Events { NoEvent = -1, Cancelled, Rejected, Replaced, LocalBye, RemoteBye, Error, Timeout, FirstEvent = Cancelled, LastEvent = Timeout }
enum | Rendering { RenderingUnknown = -1, NotRenderingMedia, RenderingMedia }

## Public Member Functions

| PCLASSINFO (SIPDialogNotification, PObject)
PString | GetStateName () const
PString | GetEventName () const
| SIPDialogNotification (const PString &entity=PString::Empty())
void | PrintOn (ostream &strm) const

## Static Public Member Functions

static PString | GetStateName (States state)
static PString | GetEventName (Events state)

## Data Fields

PString | m_entity
PString | m_dialogId
PString | m_callId
bool | m_initiator
States | m_state
Events | m_eventType
unsigned | m_eventCode
SIPDialogNotification::Participant | m_local
SIPDialogNotification::Participant | m_remote

## Friends

States | operator++ (States &state)
States | operator-- (States &state)
Events | operator++ (Events &evt)
Events | operator-- (Events &evt)

## Data Structures

struct | Participant

## Detailed Description

Information for SIP "dialog" event package notification messages.

## Member Enumeration Documentation

enum SIPDialogNotification::Events

Enumerator:

  NoEvent |
  Cancelled |
  Rejected |
  Replaced |
  LocalBye |
  RemoteBye |
  Error |
  Timeout |
  FirstEvent |
  LastEvent |

enum SIPDialogNotification::Rendering

Enumerator:

  RenderingUnknown |
  NotRenderingMedia |
  RenderingMedia |

enum SIPDialogNotification::States

Enumerator:

  Terminated |
  Trying |
  Proceeding |
  Early |
  Confirmed |
  FirstState |
  LastState |

## Constructor & Destructor Documentation

SIPDialogNotification::SIPDialogNotification | ( | const PString & | entity = `PString::Empty()` | ) |

## Member Function Documentation

PString SIPDialogNotification::GetEventName | ( |  | ) | const`[inline]`

static PString SIPDialogNotification::GetEventName | ( | Events | state | ) | `[static]`

PString SIPDialogNotification::GetStateName | ( |  | ) | const`[inline]`

static PString SIPDialogNotification::GetStateName | ( | States | state | ) | `[static]`

SIPDialogNotification::PCLASSINFO | ( | SIPDialogNotification | ,
|  | PObject |  |
| ) |  |  |

void SIPDialogNotification::PrintOn | ( | ostream & | strm | ) | const

## Friends And Related Function Documentation

Events operator++ | ( | Events & | evt | ) | `[friend]`

States operator++ | ( | States & | state | ) | `[friend]`

Events operator-- | ( | Events & | evt | ) | `[friend]`

States operator-- | ( | States & | state | ) | `[friend]`

## Field Documentation

PString SIPDialogNotification::m_callId

PString SIPDialogNotification::m_dialogId

PString SIPDialogNotification::m_entity

unsigned SIPDialogNotification::m_eventCode

Events SIPDialogNotification::m_eventType

bool SIPDialogNotification::m_initiator

struct SIPDialogNotification::Participant SIPDialogNotification::m_local

struct SIPDialogNotification::Participant SIPDialogNotification::m_remote

States SIPDialogNotification::m_state

The documentation for this struct was generated from the following file:

- handlers.h